Page MenuHomePhabricator

Maps back end hardware
Closed, ResolvedPublic

Description

Requesting 8 back end servers for maps. This will be 4 boxes replacing hardware in codfw and 4 new boxes in eqiad.

@MaxSem or @Yurik will include specific details of hardware necessary.

This hardware needs to be ordered and included in the FY15-16 budget. This will come from the discovery capex budget.

See also T125126

Related Objects

StatusAssignedTask
ResolvedNone
ResolvedMSantos
ResolvedGehel
ResolvedRobH

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2016, 6:18 PM
EBernhardson updated the task description. (Show Details)Mar 29 2016, 6:18 PM
Restricted Application added projects: Operations, Discovery. · View Herald TranscriptMar 29 2016, 6:20 PM
Yurik updated the task description. (Show Details)
mark added subscribers: RobH, mark.Apr 5 2016, 1:50 PM

@RobH: please request quotes for 2x 4 servers as outlined above. Thanks!

Gehel added a comment.Apr 5 2016, 3:39 PM

To consolidate infos.

Ok, seems some confusion has been clarified. The maps team immediate need to launch maps for all wiki projects is 16 varnish servers (4 per cluster), and 8 backend servers (4 in two of the clusters). The backend machines need 1+ TB SSD harddrives. The backend machines we have been using have 96GB 12 cores, and this has been working out very well. @mark, please comment regarding the state of Discovery hardware funds for this fiscal year, and if we need to allocate anything for the next year. Other than the above hardware requirements, I think the Maps project should have enough hardware to satisfy our needs for the next year. Thanks!

Gehel added a comment.Apr 5 2016, 4:55 PM

Please only look at the backend side for the above comment. I will open another request for the varnish servers.

Gehel added a comment.Apr 5 2016, 5:24 PM

Summary of IRC discussion:

  • the current H/W for maps is not uniform. We have better specs on map-test2003 / 2004 than on 2001 / 2002. The better spec should be used as baseline
  • that spec is 12 cores, 96GB RAM, 1+ TB SSD
  • the SSD of the current maps cluster *could* be reused in new servers
  • current servers are single disk RAID 0
  • we should move to RAID 1 (under discussion, we do not seem to have consensus at the moment)
RobH mentioned this in Unknown Object (Task).Apr 5 2016, 5:49 PM

Summary of IRC discussion:

  • the current H/W for maps is not uniform. We have better specs on map-test2003 / 2004 than on 2001 / 2002. The better spec should be used as baseline

This is actually slightly of, 2001 & 2003 share specs, 2002 & 2004 share spacs.

  • that spec is 12 cores, 96GB RAM, 1+ TB SSD
  • the SSD of the current maps cluster *could* be reused in new servers
  • current servers are single disk RAID 0
  • we should move to RAID 1 (under discussion, we do not seem to have consensus at the moment)

I'll get the quotes for the single CPU with 12 cores and 96GB of memory. Please note that since we don't know the full load details, we aren't certain if the systems need more memory per core at this time. At 96GB, the current ratio os 8GB per core.

I'll get quotes for this,will link into a procurement task, which will include pricing from both Dell and HP. All pricing discussion will have to take place on the linked task T131864.

RobH added a subtask: Unknown Object (Task).Apr 5 2016, 5:49 PM
RobH closed subtask Unknown Object (Task) as Resolved.Apr 20 2016, 6:31 PM
RobH added subtasks: Unknown Object (Task), Unknown Object (Task).
RobH closed this task as Resolved.Apr 20 2016, 7:02 PM
RobH claimed this task.

Orders for 4 maps backend hosts for codfw and 4 maps backend hosts for eqiad have been ordered. Their restricted view procurement tasks are linked as blockers to this task.

With that order, this request is technically resolved. The order tasks will generate on-site racking and setup tasks. Those tasks will likely hand off to @EBernhardson for service implementation (though he may suggest someone else!)

faidon closed subtask Unknown Object (Task) as Resolved.May 16 2016, 11:42 AM
faidon closed subtask Unknown Object (Task) as Resolved.